Bug 24388 - Useless test in acqui/lateorders.tt
Summary: Useless test in acqui/lateorders.tt
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low minor (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 24161
  Show dependency treegraph
 
Reported: 2020-01-09 16:52 UTC by Jonathan Druart
Modified: 2020-03-18 16:47 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.04, 19.05.09


Attachments
Bug 24388: Remove uneeded test in lateorders.tt (1.10 KB, patch)
2020-01-09 16:54 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24388: Remove uneeded test in lateorders.tt (1.12 KB, patch)
2020-02-11 08:51 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24388: Remove uneeded test in lateorders.tt (1.25 KB, patch)
2020-02-17 16:27 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 24388: Remove uneeded test in lateorders.tt (1.30 KB, patch)
2020-02-17 20:20 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2020-01-09 16:52:58 UTC
The budget_lock is never set (and has never been):

        [% UNLESS lateorder.budget_lock %]
            <input type="submit"  class="btn btn-default" value="Claim order" />
        [% END %]
Comment 1 Jonathan Druart 2020-01-09 16:54:12 UTC
Created attachment 97125 [details] [review]
Bug 24388: Remove uneeded test in lateorders.tt

The budget_lock is never set (and has never been).

Test plan:
For QAer only, make sure this never worked
Comment 2 Michal Denar 2020-01-31 21:29:03 UTC
Hi Jonathan,
can you rebase this patch?

sing index info to reconstruct a base tree...
M	t/db_dependent/Koha/Acquisition/Basket.t
Falling back to patching base and 3-way merge...
Auto-merging t/db_dependent/Koha/Acquisition/Basket.t
CONFLICT (content): Merge conflict in t/db_dependent/Koha/Acquisition/Basket.t
error: Failed to merge in the changes.
Patch failed at 0001 Bug 24161: Add tests
Comment 3 Jonathan Druart 2020-02-03 11:38:30 UTC
(In reply to Michal Denar from comment #2)
> Hi Jonathan,
> can you rebase this patch?
> 
> sing index info to reconstruct a base tree...
> M	t/db_dependent/Koha/Acquisition/Basket.t
> Falling back to patching base and 3-way merge...
> Auto-merging t/db_dependent/Koha/Acquisition/Basket.t
> CONFLICT (content): Merge conflict in
> t/db_dependent/Koha/Acquisition/Basket.t
> error: Failed to merge in the changes.
> Patch failed at 0001 Bug 24161: Add tests

This patch is at the top of a long dependency list.
Comment 4 Jonathan Druart 2020-02-11 08:51:31 UTC
Created attachment 98690 [details] [review]
Bug 24388: Remove uneeded test in lateorders.tt

The budget_lock is never set (and has never been).

Test plan:
For QAer only, make sure this never worked
Comment 5 Bernardo Gonzalez Kriegel 2020-02-17 16:27:53 UTC
Created attachment 99117 [details] [review]
Bug 24388: Remove uneeded test in lateorders.tt

The budget_lock is never set (and has never been).

Test plan:
For QAer only, make sure this never worked

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
No errors.
Variable budget_lock is not set in acqui/lateorders.pl
Comment 6 Katrin Fischer 2020-02-17 20:20:53 UTC
Created attachment 99131 [details] [review]
Bug 24388: Remove uneeded test in lateorders.tt

The budget_lock is never set (and has never been).

Test plan:
For QAer only, make sure this never worked

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
No errors.
Variable budget_lock is not set in acqui/lateorders.pl

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Martin Renvoize 2020-02-19 11:34:45 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 8 Joy Nelson 2020-03-13 00:03:47 UTC
Pushed to 19.11.x for 19.11.04
Comment 9 Lucas Gass 2020-03-18 16:47:10 UTC
backported to 19.05.x for 19.05.09